summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <mvath@google.com>2018-12-28 16:00:45 +0100
committerMartin Väth <mvath@google.com>2018-12-28 16:00:45 +0100
commit959a18fdf59a5ae04b013679c810f172585dd295 (patch)
treee689114126ba3435fb01919ce295bd95f2658363
parentapp-portage/logclean: Version bump (diff)
downloadmv-959a18fdf59a5ae04b013679c810f172585dd295.tar.gz
mv-959a18fdf59a5ae04b013679c810f172585dd295.tar.bz2
mv-959a18fdf59a5ae04b013679c810f172585dd295.zip
net-libs/wvstreams: Add a version which works with >=openssl-1.1
Signed-off-by: Martin Väth <mvath@google.com>
-rw-r--r--metadata/pkg_desc_index1
-rw-r--r--net-libs/wvstreams/Manifest1
-rw-r--r--net-libs/wvstreams/metadata.xml23
-rw-r--r--net-libs/wvstreams/wvstreams-4.6.2_alpha20181025.ebuild98
-rw-r--r--profiles/use.local.desc1
5 files changed, 124 insertions, 0 deletions
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 92545c4f..5ed0be43 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -89,6 +89,7 @@ net-dialup/martian-modem 20100123-r2: ltmodem alternative driver providing suppo
net-dns/host 20070128-r1: A powerful command-line DNS query and test tool
net-dns/noip-updater 2.1.9-r5: no-ip.com dynamic DNS updater
net-firewall/firewall-mv 13.1: Initialize iptables and net-related sysctl variables
+net-libs/wvstreams 4.6.2_alpha20181025: A network programming library in C++
net-misc/netctl 1.11: Profile based network connection tool from Arch Linux
net-misc/openrdate 1.2: use TCP or UDP to retrieve the current time of another machine
net-misc/sshstart 4.7: Start ssh-agent/ssh-add only if you really use ssh or friends
diff --git a/net-libs/wvstreams/Manifest b/net-libs/wvstreams/Manifest
new file mode 100644
index 00000000..d03f8454
--- /dev/null
+++ b/net-libs/wvstreams/Manifest
@@ -0,0 +1 @@
+DIST wvstreams-4.6.2_alpha20181025.tar.gz 851502 SHA512 9dc3502566b12ad52c134aec2682ad5d5a1a426621ee90e7055e1ebb712f768bbf4270d1045eadf6b842ceabaf5abb67bdf5c7bfa12f983a9d3a27a1730a72cf
diff --git a/net-libs/wvstreams/metadata.xml b/net-libs/wvstreams/metadata.xml
new file mode 100644
index 00000000..d2ce9f15
--- /dev/null
+++ b/net-libs/wvstreams/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+<email>mvaeth@google.com</email>
+<name>Martin Väth</name>
+<description>maintainer of the updates in the mv overlay</description>
+</maintainer>
+<maintainer type='person'>
+<email>jer@gentoo.org</email>
+</maintainer>
+ <upstream>
+ <remote-id type="google-code">wvstreams</remote-id>
+ </upstream>
+ <use>
+ <flag name="boost">
+ Use <pkg>dev-libs/boost</pkg> to provide TR1-compatible
+ functional interface. This USE flag is only needed with GCC
+ earlier than version 4.1, or with other compilares not providing
+ said interface.
+ </flag>
+ </use>
+</pkgmetadata>
diff --git a/net-libs/wvstreams/wvstreams-4.6.2_alpha20181025.ebuild b/net-libs/wvstreams/wvstreams-4.6.2_alpha20181025.ebuild
new file mode 100644
index 00000000..277a4500
--- /dev/null
+++ b/net-libs/wvstreams/wvstreams-4.6.2_alpha20181025.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2018 Martin V\"ath and Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+AT_NOELIBTOOLIZE=yes
+inherit autotools flag-o-matic toolchain-funcs
+
+DESCRIPTION="A network programming library in C++"
+HOMEPAGE="http://alumnit.ca/wiki/?WvStreams"
+case ${PV} in
+*alpha*)
+ EGIT_COMMIT="dac7d0f784845a8b43d45f64fdf43fd5f4833a34"
+ SRC_URI="https://github.com/apenwarr/wvstreams/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S=${WORKDIR}/${PN}-${EGIT_COMMIT};;
+*)
+ SRC_URI="https://wvstreams.googlecode.com/files/${P}.tar.gz"
+esac
+
+
+LICENSE="GPL-2"
+SLOT="0/5pre"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~sparc ~x86"
+IUSE="pam +dbus debug doc +ssl static-libs zlib"
+
+#Tests fail if openssl is not compiled with -DPURIFY. Gentoo's isn't. FAIL!
+RESTRICT="test"
+
+#QA Fail: xplc is compiled as a part of wvstreams.
+#It'll take a larger patching effort to get it extracted, since upstream integrated it
+#more tightly this time. Probably for the better since upstream xplc seems dead.
+
+RDEPEND="
+ ssl? ( >=dev-libs/openssl-1.1:0= )
+ sys-libs/readline:0=
+ zlib? ( sys-libs/zlib )
+ dbus? ( >=sys-apps/dbus-1.4.20 )
+ pam? ( virtual/pam )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+
+src_prepare() {
+ mv config.ac configure.ac
+ mkdir build
+ default
+ eautoreconf
+}
+
+src_configure() {
+ append-flags -fno-strict-aliasing
+ append-flags -fno-tree-dce -fno-optimize-sibling-calls #421375
+
+ tc-export AR CC CXX
+
+ cd build
+ ECONF_SOURCE="$S" econf \
+ $(use_enable debug) \
+ $(use_with dbus) \
+ $(use_with pam) \
+ $(use_with ssl openssl) \
+ $(use_with zlib) \
+ --cache-file="${BUILD_DIR}"/config.cache \
+ --disable-optimization \
+ --localstatedir=/var \
+ --without-qt \
+ --without-valgrind
+}
+
+src_compile() {
+ if use doc; then
+ doxygen "${S}"/Doxyfile || die
+ fi
+ cd build
+ emake
+}
+
+src_test() {
+ emake check
+}
+
+src_install() {
+ if use doc; then
+ docinto html
+ dodoc -r Docs/doxy-html/*
+ fi
+ cd build
+ emake DESTDIR="${ED}" install || die
+ insinto /usr/include
+ doins include/wvautoconf.h
+ insinto /usr/$(get_libdir)/pkgconfig
+ local lib
+ for lib in $(find "${BUILD_DIR}" -name '*.so' -type l | grep -v libwvstatic); do
+ doins "${BUILD_DIR}"/pkgconfig/$(basename ${lib/.so}).pc
+ done
+}
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index 437b0a60..996d2639 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -187,6 +187,7 @@ media-tv/sundtek-tv:pax_kernel - Mark package which is necessary if you use a PA
media-tv/w_scan:plp-id-zero - Apply experimental patch to force plp_id to 0 for DVB-T2. Seems to be necessary at least with some tuners in some regions
media-video/avidemux:nvenc - Adds support for NVIDIA Encoder (NVENC) API for hardware accelerated encoding on NVIDIA cards.
net-dns/noip-updater:ezipupd - Use user/group ezipupd instead of nobody: Useful if you restrict outgoing network traffic for user nobody
+net-libs/wvstreams:boost - Use dev-libs/boost to provide TR1-compatible functional interface. This USE flag is only needed with GCC earlier than version 4.1, or with other compilares not providing said interface.
net-print/foo2zjs:foo2zjs_devices_hp1000 - HP LJ 1000 firmware
net-print/foo2zjs:foo2zjs_devices_hp1005 - HP LJ 1005 firmware
net-print/foo2zjs:foo2zjs_devices_hp1018 - HP LJ 1018 firmware